package com.ruoyi.mybatis.service;

import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

public interface JPAService<T extends BaseEntity> {

    public T get(T entity);

    public List<T> list(T entity);

    public int add(T entity);

    public int update(T entity);

    public int del(T entity);
}
